
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was Open3DConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib/x86_64-linux-gnu/cmake/Open3D" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

####################################################################################
include(CMakeFindDependencyMacro)
include(FindPackageHandleStandardArgs)

# Find dependencies
foreach(lib IN ITEMS Eigen3;fmt;GLEW;glfw3)
	find_dependency(${lib})
endforeach()

include("${CMAKE_CURRENT_LIST_DIR}/Open3DTargets.cmake")

set(Open3D_FOUND TRUE)
set(Open3D_VERSION "0.9.0")
set(Open3D_LIBRARIES "Open3D::Open3D")
set_and_check(Open3D_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include")

# Expose include paths to some library headers which are used in the Open3D
# public headers, but avoid linking against the libraries, as the headers do
# not need the binary symbols.
foreach(target IN ITEMS GLEW::GLEW;glfw;fmt::fmt)
	get_property(inc TARGET ${target} PROPERTY INTERFACE_INCLUDE_DIRECTORIES)
	if(inc)
		set_property(TARGET Open3D::Open3D APPEND PROPERTY INTERFACE_INCLUDE_DIRECTORIES ${inc})
	endif()
	get_property(def TARGET ${target} PROPERTY INTERFACE_COMPILE_DEFINITIONS)
	if(def)
		set_property(TARGET Open3D::Open3D APPEND PROPERTY INTERFACE_COMPILE_DEFINITIONS ${def})
	endif()
	get_property(fea TARGET ${target} PROPERTY INTERFACE_COMPILE_FEATURES)
	if(fea)
		set_property(TARGET Open3D::Open3D APPEND PROPERTY INTERFACE_COMPILE_FEATURES ${fea})
	endif()
endforeach()

set(Open3D_CONFIG ${CMAKE_CURRENT_LIST_FILE})
find_package_handle_standard_args(Open3D CONFIG_MODE)
